VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::ExtraConfig Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::ExtraConfig:

## Avaliable Methods
public method | get_value ()
public method | set_key ()
public method | get_key ()
public method | set_virtual_system_id ()
public method | get_virtual_system_id ()
public method | set_value ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::ExtraConfig` class contains the information about a vmw:ExtraConfig element which can be used to specify configuration settings that are transferred directly to the `.vmx` file. The behavior of the vmw:ExtraConfig element is similar to the `extraConfig` property of the `VirtualMachineConfigSpec` object in the VMware vSphere API. Thus, the same restrictions apply, such as you cannot set values that could otherwise be set with other properties in the `VirtualMachineConfigSpec` object. See the VMware vSphere API reference for details on this.

vmw:ExtraConfig elements may occur as direct child elements of a VirtualHardwareSection, or as child elements of individual virtual hardware items.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::ExtraConfig::get_key | ( |  | ) |

Gets the value of 'key' property.

Return values

  key | - The current value of the field. The key of the ExtraConfig element. optional#

Code:
click to view
# Number of lines of code in get_key: 4
sub get_key {
my ($self, %args) = @_;
return $self->{'key'};
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfig::get_value | ( |  | ) |

Gets the value of 'value' property.

Return values

  value | - The current value of the field. The value of the ExtraConfig element. optional#

Code:
click to view
# Number of lines of code in get_value: 4
sub get_value {
my ($self, %args) = @_;
return $self->{'value'};
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfig::get_virtual_system_id | ( |  | ) |

Gets the value of 'virtual_system_id' property.

Return values

  virtual_system_id | - The current value of the field. The identifier of the virtual system containing the vmw:ExtraConfig element. optional#

Code:
click to view
# Number of lines of code in get_virtual_system_id: 4
sub get_virtual_system_id {
my ($self, %args) = @_;
return $self->{'virtual_system_id'};
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfig::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::ExtraConfig structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{key} = $args{'key'};
$self->{value} = $args{'value'};
$self->{virtual_system_id} = $args{'virtual_system_id'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::ExtraConfig');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.extra_config');
$self->set_binding_field('key' => 'key', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'value', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'virtual_system_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfig::set_key | ( |  | ) |

Sets the given value for 'key' property.

Parameters

  key | - New value for the field. The key of the ExtraConfig element.

Code:
click to view
# Number of lines of code in set_key: 5
sub set_key {
my ($self, %args) = @_;
$self->{'key'} = $args{'key'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfig::set_value | ( |  | ) |

Sets the given value for 'value' property.

Parameters

  value | - New value for the field. The value of the ExtraConfig element.

Code:
click to view
# Number of lines of code in set_value: 5
sub set_value {
my ($self, %args) = @_;
$self->{'value'} = $args{'value'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfig::set_virtual_system_id | ( |  | ) |

Sets the given value for 'virtual_system_id' property.

Parameters

  virtual_system_id | - New value for the field. The identifier of the virtual system containing the vmw:ExtraConfig element.

Code:
click to view
# Number of lines of code in set_virtual_system_id: 5
sub set_virtual_system_id {
my ($self, %args) = @_;
$self->{'virtual_system_id'} = $args{'virtual_system_id'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/ExtraConfig.pm